PyTableCode (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyTableCode

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--org.python.core.PyCode
                  |
                  +--org.python.core.PyTableCode

All Implemented Interfaces:
  java.io.Serializable

public class PyTableCode
extends PyCode

An implementation of PyCode where the actual executable content is stored as a PyFunctionTable instance and an integer index.

See Also:
  Serialized Form

Field Summary
`boolean` | `args`
`int` | `co_argcount`
`java.lang.String[]` | `co_cellvars`
`java.lang.String` | `co_filename`
`int` | `co_firstlineno`
`int` | `co_flags`
`java.lang.String[]` | `co_freevars`
`static int` | `CO_NESTED`
`int` | `co_nlocals`
`static int` | `CO_OPTIMIZED`
`static int` | `CO_VARARGS`
`static int` | `CO_VARKEYWORDS`
`java.lang.String[]` | `co_varnames`
`int` | `jy_npurecell`
`boolean` | `keywords`

Fields inherited from class org.python.core.PyCode
`co_name`

Fields inherited from class org.python.core.PyObject
`__class__`

Constructor Summary
`PyTableCode(int argcount, java.lang.String[] varnames, java.lang.String filename, java.lang.String name, int firstlineno, boolean args, boolean keywords, PyFunctionTable funcs, int func_id)`
`PyTableCode(int argcount, java.lang.String[] varnames, java.lang.String filename, java.lang.String name, int firstlineno, boolean args, boolean keywords, PyFunctionTable funcs, int func_id, java.lang.String[] cellvars, java.lang.String[] freevars, int npurecell, int moreflags)`

Method Summary
`void` | `__delattr__(java.lang.String name)` A variant of the __delattr__ method which accepts a String as the key.
`PyObject` | `__dir__()` Equivalent to the standard Python __dir__ method.
`PyObject` | `__findattr__(java.lang.String name)` A variant of the __findattr__ method which accepts a Java `String` as the name.
`void` | `__setattr__(java.lang.String name, PyObject value)` A variant of the __setattr__ method which accepts a String as the key.
`PyObject` | `call(PyFrame frame, PyObject closure)`
`PyObject` | `call(PyObject[] call_args, java.lang.String[] call_keywords, PyObject globals, PyObject[] defaults, PyObject closure)`
`PyObject` | `call(PyObject globals, PyObject[] defaults, PyObject closure)`
`PyObject` | `call(PyObject self, PyObject[] call_args, java.lang.String[] call_keywords, PyObject globals, PyObject[] defaults, PyObject closure)`
`PyObject` | `call(PyObject arg1, PyObject globals, PyObject[] defaults, PyObject closure)`
`PyObject` | `call(PyObject arg1, PyObject arg2, PyObject globals, PyObject[] defaults, PyObject closure)`
`PyObject` | `call(PyObject arg1, PyObject arg2, PyObject arg3, PyObject globals, PyObject[] defaults, PyObject closure)`
`java.lang.String` | `toString()`

Methods inherited from class org.python.core.PyCode
`call`

Methods inherited from class org.python.core.PyObject
`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delitem__, __delitem__, __delslice__, __delslice__, __div__, __divmod__, __eq__, __findattr__, __finditem__, __finditem__, __finditem__, __float__, __ge__, __getattr__, __getattr__, __getitem__, __getitem__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ilshift__, __imod__, __imul__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rxor__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doget, _doget, _doset, _eq, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, equals, hashCode, invoke, invoke, invoke, invoke, invoke, isCallable, isMappingType, isNumberType, isSequenceType, safeRepr`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### co_argcount

    public int co_argcount

### co_firstlineno

    public int co_firstlineno

### co_varnames

    public java.lang.String[] co_varnames

### co_cellvars

    public java.lang.String[] co_cellvars

### jy_npurecell

    public int jy_npurecell

### co_freevars

    public java.lang.String[] co_freevars

### co_filename

    public java.lang.String co_filename

### co_flags

    public int co_flags

### co_nlocals

    public int co_nlocals

### args

    public boolean args

### keywords

    public boolean keywords

### CO_OPTIMIZED

    public static final int CO_OPTIMIZED

See Also:
  Constant Field Values

### CO_VARARGS

    public static final int CO_VARARGS

See Also:
  Constant Field Values

### CO_VARKEYWORDS

    public static final int CO_VARKEYWORDS

See Also:
  Constant Field Values

### CO_NESTED

    public static final int CO_NESTED

See Also:
  Constant Field Values

Constructor Detail

### PyTableCode

    public PyTableCode(int argcount,
                       java.lang.String[] varnames,
                       java.lang.String filename,
                       java.lang.String name,
                       int firstlineno,
                       boolean args,
                       boolean keywords,
                       PyFunctionTable funcs,
                       int func_id)

### PyTableCode

    public PyTableCode(int argcount,
                       java.lang.String[] varnames,
                       java.lang.String filename,
                       java.lang.String name,
                       int firstlineno,
                       boolean args,
                       boolean keywords,
                       PyFunctionTable funcs,
                       int func_id,
                       java.lang.String[] cellvars,
                       java.lang.String[] freevars,
                       int npurecell,
                       int moreflags)

Method Detail

### __dir__

    public PyObject __dir__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __dir__ method.

  Overrides:
    `__dir__` in class `PyObject`
  Returns:
    a list of names defined by this object.

### __setattr__

    public void __setattr__(java.lang.String name,
                            PyObject value)

  Description copied from class: `PyObject`
  A variant of the __setattr__ method which accepts a String as the key. This String must be interned.

  Overrides:
    `__setattr__` in class `PyObject`
  Parameters:
    `name` - the name whose value will be set - must be an interned string .
    `value` - the value to set this name to
  See Also:
    `PyObject.__setattr__(PyString, PyObject)`

### __delattr__

    public void __delattr__(java.lang.String name)

  Description copied from class: `PyObject`
  A variant of the __delattr__ method which accepts a String as the key. This String must be interned. By default, this will call `__delattr__(PyString name)` with the appropriate args. The only reason to override this method is for performance.

  Overrides:
    `__delattr__` in class `PyObject`
  Parameters:
    `name` - the name which will be removed - must be an interned string .
  See Also:
    `PyObject.__delattr__(PyString)`

### __findattr__

    public PyObject __findattr__(java.lang.String name)

  Description copied from class: `PyObject`
  A variant of the __findattr__ method which accepts a Java `String` as the name. By default, this method will call `__findattr__(PyString name)` with the appropriate args. The only reason to override this method is for performance. Warning: name must be an interned string!!!!!!!!

  Overrides:
    `__findattr__` in class `PyObject`
  Parameters:
    `name` - the name to lookup in this namespace must be an interned string .
  Returns:
    the value corresponding to name or null if name is not found
  See Also:
    `PyObject.__findattr__(PyString)`

### call

    public PyObject call(PyFrame frame,
                         PyObject closure)

  Specified by:
    `call` in class `PyCode`

### call

    public PyObject call(PyObject globals,
                         PyObject[] defaults,
                         PyObject closure)

  Specified by:
    `call` in class `PyCode`

### call

    public PyObject call(PyObject arg1,
                         PyObject globals,
                         PyObject[] defaults,
                         PyObject closure)

  Specified by:
    `call` in class `PyCode`

### call

    public PyObject call(PyObject arg1,
                         PyObject arg2,
                         PyObject globals,
                         PyObject[] defaults,
                         PyObject closure)

  Specified by:
    `call` in class `PyCode`

### call

    public PyObject call(PyObject arg1,
                         PyObject arg2,
                         PyObject arg3,
                         PyObject globals,
                         PyObject[] defaults,
                         PyObject closure)

  Specified by:
    `call` in class `PyCode`

### call

    public PyObject call(PyObject self,
                         PyObject[] call_args,
                         java.lang.String[] call_keywords,
                         PyObject globals,
                         PyObject[] defaults,
                         PyObject closure)

  Specified by:
    `call` in class `PyCode`

### call

    public PyObject call(PyObject[] call_args,
                         java.lang.String[] call_keywords,
                         PyObject globals,
                         PyObject[] defaults,
                         PyObject closure)

  Specified by:
    `call` in class `PyCode`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage